﻿//*****************************************************************************
//* Copyright (c) 2005-2011 Miday Workshop All rights reserved.
//*
//* File: MakeMail.h
//*****************************************************************************

#ifdef _JPN
////			    なし   極細線 細線   中線   太線   二重線 鎖線   点線
////			    なし   細     細     太     太     太     細     細
//line_type[] = { 0,     1,     1,     2,     2,     2,     1,     1 };

//
#ifdef _UNICODE_TABLE
UNICHAR patac[9][10]=  {//文字数は、縦横とも、LINEPATTERN * LINEPATTERN
	L"　　　　│┃　┃┃",    //右なし 左なし
	L"　┌┏└├┠┗┠┠",    //右なし 左細
	L"　┏┏┗┝┣┗┣┣",    //右なし 左太
	L"　┐┓┘┤┨┛┨┨",    //右細   左なし
	L"─┬┰┴┼╂┸╂╂",    //右細   左細
	L"━┯┳┷┿╂┻╂╂",    //右細   左太
	L"　┓┓┛┥┫┛┫┫",    //右太   左なし
	L"━┯┳┷┿╋┻╋╋",    //右太   左細
	L"━┯┳┷┿╋┻╋╋"};   //右太   左太

UNICHAR patal[2][4] = {L"　─━", L"　│┃"};
UNICHAR patas[3][5] = {L"　　　　", L"┌┐└┘", L"┏┓┗┛"};
#else  //_UNICODE_TABLE
char patac[9][19]=  {//文字数は、縦横とも、LINEPATTERN * LINEPATTERN
	"　　　　│┃　┃┃",    //右なし 左なし
	"　┌┏└├┠┗┠┠",    //右なし 左細
	"　┏┏┗┝┣┗┣┣",    //右なし 左太
	"　┐┓┘┤┨┛┨┨",    //右細   左なし
	"─┬┰┴┼╂┸╂╂",    //右細   左細
	"━┯┳┷┿╂┻╂╂",    //右細   左太
	"　┓┓┛┥┫┛┫┫",    //右太   左なし
	"━┯┳┷┿╋┻╋╋",    //右太   左細
	"━┯┳┷┿╋┻╋╋"};   //右太   左太

char patal[2][7] = {"  ─━", "  │┃"};
char patas[3][9] = {"        ", "┌┐└┘", "┏┓┗┛"};
#endif  //_UNICODE_TABLE
#endif  //_JPN


#ifdef _ENG
//(*1) calcの場合は、line_type 変数は、0-2の範囲なので、patac変数は、9*9 の広さを持ち、6-8列は、3-5列と同じとする

////			    なし   極細線 細線   中線   太線   二重線 鎖線   点線
////			    なし   細     細     太     太     太     細     細
////line_type[] = { 0,     1,     1,     2,     2,     2,     1,     1 };
//line_type[] = { 0,     1,     1,     1,     1,     1,     1,     1 };
#ifdef _UNICODE_TABLE
UNICHAR patac[9][10]=  {//文字数は、縦横とも、LINEPATTERN * LINEPATTERN (*1)
	L"    || ||",    //右なし 左なし
	L" ++++++++",    //右なし 左細
	L" ++++++++",    //右なし 左太
	L" ++++++++",    //右細   左なし
	L"-++++++++",    //右細   左細
	L"-++++++++",    //右細   左太
	L" ++++++++",    //右太   左なし
	L"-++++++++",    //右太   左細
	L"-++++++++"};   //右太   左太

UNICHAR patal[2][4] = {L" --", L" ||"};
UNICHAR patas[3][5] = {L"    ", L"++++", L"++++"};
#else  //_UNICODE_TABLE
char patac[9][10]=  {//文字数は、縦横とも、LINEPATTERN * LINEPATTERN (*1)
	"    || ||",    //右なし 左なし
	" ++++++++",    //右なし 左細
	" ++++++++",    //右なし 左太
	" ++++++++",    //右細   左なし
	"-++++++++",    //右細   左細
	"-++++++++",    //右細   左太
	" ++++++++",    //右太   左なし
	"-++++++++",    //右太   左細
	"-++++++++"};   //右太   左太

char patal[2][4] = {" --", " ||"};
char patas[3][5] = {"    ", "++++", "++++"};
#endif  //_UNICODE_TABLE
#endif  //_ENG

