﻿//*****************************************************************************
//* Copyright (c) 2011-2013 Miday Workshop All rights reserved.
//*
//* File: TestMain.cpp
//*****************************************************************************

#ifdef _WINDOWS_PLAT
#include <windows.h>
#else  //_WINDOWS_PLAT
#include <gtk/gtk.h>
#include <unistd.h>
#endif  //_WINDOWS_PLAT

#include <stdio.h>
#include <wchar.h>
#include <locale.h>

#include "CalcDef.h"
#include "FileIo.h"
#include "MsgLocale.h"

//CalcSDK.cpp よりコピーしたコード
#ifdef _UNICODE_TABLE
#define SERVER_PARM L"soffice.bin --headless --nofirststartwizard --accept='socket,host=localhost,port=2083;urp;StarOffice.ServiceManager'"
#else  //_UNICODE_TABLE
#define SERVER_PARM "soffice.bin --headless --nofirststartwizard --accept='socket,host=localhost,port=2083;urp;StarOffice.ServiceManager'"
#endif  //_UNICODE_TABLE

//dummy
int MessageDisp(int) {
	return 0;
}

//==============================================================================
//メイン関数
//==============================================================================
int main( int argc, char *argv[]) {

//	setlocale( LC_CTYPE, Locale );//ロケール設定 Localeは、UNICHAR
	setlocale( LC_CTYPE, "" );//ロケール設定

	SofficePath[0]    = LIT_NULL_C;
	SofficeRdbPath[0] = LIT_NULL_C;

	printf("このソフトは、Officeの環境を取得出来ているのかを検証します。\n");
	printf("このソフトは、初期化ファイルの設定は参照しません。\n\n");
//------------------------------------------------------------------------------
//LibreOfficeのパスとバージョンチェック
//------------------------------------------------------------------------------
	Verno = Soffice_Path_get();

//------------------------------------------------------------------------------
//rdbファイルの確認と設定
//------------------------------------------------------------------------------
	if ( Verno >= 0 ) {
		if ( Verno >= 1 ) {//3.4以上の場合
			EnvSet();
		} else {
			printf("  環境変数は設定しません。\n");
		}

		ServerRun((UNICHAR *)SERVER_PARM);
	}
	return 0;
}
//#endif  //_LINUX_PLAT

