﻿//*****************************************************************************
//* Copyright (c) 2010-2012 Miday Workshop All rights reserved.
//*
//* File: MsgLocale.h
//*****************************************************************************

//タイトルとファイル名
#ifdef _WINDOWS_PLAT
#if defined(_JPN) || defined(_ENG)
#define APP_NAME   "Calc文字罫線変換 for Windows"
#ifdef _JPN
#define APP_FILE   "CtoMail.exe"
#else  //_JPN
#define APP_FILE   "CtoMail_e.exe"
#endif  //_JPN
#endif  //_JPN _ENG
#ifdef _WIKI
#define APP_NAME   "Calc Wiki変換 for Windows"
#define APP_FILE   "CtoWiki.exe"
#endif  //_WIKI
#ifdef _HTML
#define APP_NAME   "Calc Html変換 for Windows"
#define APP_FILE   "CtoHtml.exe"
#endif  //_HTML
#else  //_WINDOWS_PLAT
#if defined(_JPN) || defined(_ENG)
#define APP_NAME   "Calc文字罫線変換 for Linux"
#ifdef _JPN
#define APP_FILE   "CtoMail"
#else  //_JPN
#define APP_FILE   "CtoMail_e"
#endif  //_JPN
#endif  //_JPN _ENG
#ifdef _WIKI
#define APP_NAME   "Calc Wiki変換 for Linux"
#define APP_FILE   "CtoWiki"
#endif  //_WIKI
#ifdef _HTML
#define APP_NAME   "Calc Html変換 for Linux"
#define APP_FILE   "CtoHtml"
#endif  //_HTML
#endif  //_WINDOWS_PLAT

//ウインドウ
#define WIN_MSG    "データを変換中です。しばらくお待ちください。"
#define WIN_BTN    "キャンセル"

#ifdef _UNICODE_TABLE
#define FONT_NAME  L"ＭＳ Ｐ明朝"
#else  //_UNICODE_TABLE
#define FONT_NAME  "ＭＳ Ｐ明朝"
#endif  //_UNICODE_TABLE

//メッセージ
#ifdef _WINDOWS_PLAT
#define MSG_NOMAL_CODE      0
#define MSG_NOMAL           "データ変換が終了しました。"
#define MSG_NOMAL_TIME_CODE 1
#define MSG_NOMAL_TIME      "データ変換が終了しました。\n\n　経過時間 %d分 %d秒"
#else  //_WINDOWS_PLAT
#define MSG_NOMAL_CODE      0
#define MSG_NOMAL           "データ変換が終了しました。\nOKボタンを押す前にテキストエディタ等にペーストしてから終了して下さい。"
#define MSG_NOMAL_TIME_CODE 1
#define MSG_NOMAL_TIME      "データ変換が終了しました。\nOKボタンを押す前にテキストエディタ等にペーストしてから終了して下さい。\n\n　経過時間 %d分 %d秒"
#endif  //_WINDOWS_PLAT

#define MSG_ALL_LINE_CODE   2
#define MSG_ALL_LINE        "罫線データが設定されていません。\n全てのセルに罫線を付けて良いですか？"
#define MSG_CANCLE_CODE     3
#define MSG_CANCLE          "処理はキャンセルされました。"
#define MSG_ER_APP_CODE     4
#define MSG_ER_APP          "このソフトからコピーしたデータはCalcで編集出来ません。\n全てのセルに罫線を付けて良いですか？"
#define MSG_ER_CNV_CODE     5
#define MSG_ER_CNV          "データ変換に失敗しました。"

#define MSG_ER_MEM1_CODE    11
#define MSG_ER_MEM1         "メモリを開放できません。"
#define MSG_ER_MEM2_CODE    12
#define MSG_ER_MEM2         "メモリを確保できません。"
#define MSG_ER_MEM3_CODE    13
#define MSG_ER_MEM3         "メモリを操作できません。"

#define MSG_ER_CAL1_CODE    14
#define MSG_ER_CAL1         "Calcを起動できませんでした。"
#define MSG_ER_CAL2_CODE    15
#define MSG_ER_CAL2         "Calcが見つかりませんでした。"

#define MSG_ER_CLP1_CODE    16
#define MSG_ER_CLP1         "クリップボードの変換に失敗しました。\nクリップボードを書き込み用に開けません。"
#define MSG_ER_CLP2_CODE    17
#define MSG_ER_CLP2         "クリップボードの変換に失敗しました。\nクリップボードを初期化できません。"
#define MSG_ER_CLP3_CODE    18
#define MSG_ER_CLP3         "クリップボードの変換に失敗しました。\nクリップボードに書き込めません。"
#define MSG_ER_CLP4_CODE    19
#define MSG_ER_CLP4         "クリップボードの変換に失敗しました。\n書き込み用に開いたクリップボードを閉じられません。"
#define MSG_ER_CLP5_CODE    20
#define MSG_ER_CLP5         "クリップボードの変換に失敗しました。\nクリップボードを読み込み用に開けません。"
#define MSG_ER_CLP6_CODE    21
#define MSG_ER_CLP6         "クリップボードの変換に失敗しました。\nクリップボードからデータを読めません。"
#define MSG_ER_CLP7_CODE    22
#define MSG_ER_CLP7         "クリップボードの変換に失敗しました。\n読み込み用に開いたクリップボードを閉じられません。"
#define MSG_ER_CLP8_CODE    23
#define MSG_ER_CLP8         "クリップボードにデータがありません。"
#define MSG_ER_CLP9_CODE    24
#define MSG_ER_CLP9         "クリップボードのデータを処理できませんでした。"

#define MSG_ER_CHAR_CODE    25
#define MSG_ER_CHAR         "変換できない特殊文字があります。"

#if defined(_WIKI) || defined(_HTML)
#define MSG_ER_INIT_CODE    31
#define MSG_ER_INIT         "初期化ファイルがありません。罫線が表示されないかもしれません。"
#endif  //_WIKI _HTML
#define MSG_ER_INIR_CODE    32
#define MSG_ER_INIR         "初期化ファイルが読めません。UNICODEで記載していて、入力可能なファイルか確認して下さい。"

#ifdef _SDK
#define MSG_ER_INIP_CODE    33
#define MSG_ER_INIP         "Office_pathとrdb_pathは、両方師弟する必要があります。"
#define MSG_ER_RDB_CODE     34
#define MSG_ER_RDB          "CalcSDK.rdbファイルがありません。"
#define MSG_ER_SER_CODE     35
#define MSG_ER_SER          "サーバープロセスを起動できませんでした。"
#define MSG_ER_PATH_CODE    36
#define MSG_ER_PATH         "ソフトウェアを格納しているフォルダのパスを調べられませんでした。"
#endif  //_SDK

#define MSG_ER_AREA_CODE    39
#define MSG_ER_AREA         "範囲は矩形で指定して下さい。"

#define MSG_ER_SYSTEM_CODE  99
#define MSG_ER_SYSTEM       "システムエラー　SPRINTFの変数は最大5個まで指定できます。"

