#This file is written in unicode(UTF-8).

#Ubuntu 14.04 LTS
#Libreoffice 4.4.0.3 & SDK

#gcc gtk2 nkf
#sudo apt-get install g++
#sudo apt-get install libgtk2.0-dev
##sudo apt-get install nkf
#
#        Miday Workshop.

####################################
#環境変数設定
INSTPATH=/opt/libreoffice4.4
LOVERSION=_VL44


#3.4
#INSTPATH=/usr/lib/libreoffice
#SDKPATH=$INSTPATH/basis3.4/sdk
#OFFAPIPATH=$INSTPATH/basis3.4/program
#UREPATH=$INSTPATH/???
#3.5以降
SDKPATH=$INSTPATH/sdk
OFFAPIPATH=$INSTPATH/program/types
UREPATH=$INSTPATH/ure

LD_LIBRARY_PATH=$INSTPATH/program:$INSTPATH/ure/lib
export LD_LIBRARY_PATH

####################################
#シフトJISからユニコードへ変換

#cd ..
#mkdir uni
#nkf -w8 < win/Src/CalcGet.cpp     > uni/CalcGet.cpp
#nkf -w8 < win/Src/CalcSDK.cpp     > uni/CalcSDK.cpp
#nkf -w8 < win/Src/CalcDef.h       > uni/CalcDef.h
#nkf -w8 < win/Src/CalcCom.cpp     > uni/CalcCom.cpp
#nkf -w8 < win/Src/CalcOle.cpp     > uni/CalcOle.cpp

#nkf -w8 < win/Src/WinMain.cpp     > uni/WinMain.cpp
#nkf -w8 < win/Src/GtkMain.cpp     > uni/GtkMain.cpp
#nkf -w8 < win/Src/WrapMain.cpp    > uni/WrapMain.cpp
#nkf -w8 < win/Src/TestMain.cpp    > uni/TestMain.cpp

#nkf -w8 < win/Src/ExString.cpp    > uni/ExString.cpp
#nkf -w8 < win/Src/ThreadCntl.cpp  > uni/ThreadCntl.cpp
#nkf -w8 < win/Src/FileIo.cpp      > uni/FileIo.cpp
#nkf -w8 < win/Src/ClipWrite.cpp   > uni/ClipWrite.cpp
#nkf -w8 < win/Src/MsgDisp.cpp     > uni/MsgDisp.cpp
#nkf -w8 < win/Src/VersionGet.cpp  > uni/VersionGet.cpp
#nkf -w8 < win/Src/MakeHtml.cpp    > uni/MakeHtml.cpp
#nkf -w8 < win/Src/MakeMail.cpp    > uni/MakeMail.cpp
#nkf -w8 < win/Src/MakeWiki.cpp    > uni/MakeWiki.cpp

#nkf -w8 < win/Src/MsgLocale.h     > uni/MsgLocale.h
#nkf -w8 < win/Src/MakeHtml.h      > uni/MakeHtml.h
#nkf -w8 < win/Src/MakeMail.h      > uni/MakeMail.h
#nkf -w8 < win/Src/MakeWiki.h      > uni/MakeWiki.h
#nkf -w8 < win/Src/SizeDef.h       > uni/SizeDef.h
#nkf -w8 < win/Src/FileIo.h        > uni/FileIo.h

cd uni

####################################
#ヘッダファイル作成
#4.0
#$SDKPATH/bin/cppumaker -Gc -BUCR -Tcom.sun.star.beans.XPropertySet -Tcom.sun.star.bridge.XUnoUrlResolver -Tcom.sun.star.frame.XComponentLoader -Tcom.sun.star.registry.XSimpleRegistry -Tcom.sun.star.frame.XDispatchHelper -Tcom.sun.star.lang.XSingleComponentFactory -Tcom.sun.star.frame.XDesktop -Tcom.sun.star.view.XMultiSelectionSupplier -Tcom.sun.star.view.XViewCursor -Tcom.sun.star.lang.XMultiServiceFactory -Tcom.sun.star.util.XCloseable -Tcom.sun.star.text.XText -Tcom.sun.star.sheet.XSpreadsheetDocument -Tcom.sun.star.table.XCellRange -Tcom.sun.star.awt.XFont -Tcom.sun.star.table.TableBorder -Tcom.sun.star.table.CellHoriJustify -Tcom.sun.star.table.CellVertJustify -Tcom.sun.star.sheet.XSpreadsheet -Tcom.sun.star.table.XColumnRowRange -Tcom.sun.star.sheet.XSheetCellCursor -Tcom.sun.star.sheet.XSpreadsheetView -Tcom.sun.star.sheet.XSpreadsheetView -Tcom.sun.star.util.XMergeable -Tcom.sun.star.sheet.XCellRangeAddressable -Tcom.sun.star.loader.CannotActivateFactoryException                                    $UREPATH/share/misc/types.rdb $OFFAPIPATH/offapi.rdb
#4.1以降
$SDKPATH/bin/cppumaker -Gc -Tcom.sun.star.beans.XPropertySet -Tcom.sun.star.bridge.XUnoUrlResolver -Tcom.sun.star.frame.XComponentLoader -Tcom.sun.star.registry.XSimpleRegistry -Tcom.sun.star.frame.XDispatchHelper -Tcom.sun.star.lang.XSingleComponentFactory -Tcom.sun.star.frame.XDesktop -Tcom.sun.star.view.XMultiSelectionSupplier -Tcom.sun.star.view.XViewCursor -Tcom.sun.star.lang.XMultiServiceFactory -Tcom.sun.star.util.XCloseable -Tcom.sun.star.text.XText -Tcom.sun.star.sheet.XSpreadsheetDocument -Tcom.sun.star.table.XCellRange -Tcom.sun.star.awt.XFont -Tcom.sun.star.table.TableBorder -Tcom.sun.star.table.CellHoriJustify -Tcom.sun.star.table.CellVertJustify -Tcom.sun.star.sheet.XSpreadsheet -Tcom.sun.star.table.XColumnRowRange -Tcom.sun.star.sheet.XSheetCellCursor -Tcom.sun.star.sheet.XSpreadsheetView -Tcom.sun.star.sheet.XSpreadsheetView -Tcom.sun.star.util.XMergeable -Tcom.sun.star.sheet.XCellRangeAddressable -Tcom.sun.star.loader.CannotActivateFactoryException                                    $UREPATH/share/misc/types.rdb $OFFAPIPATH/offapi.rdb

####################################
#rdbファイル作成
#/usr/lib/ure/bin/regmerge CalcSDK.rdb / /usr/lib/ure/share/misc/types.rdb
#/usr/lib/ure/bin/regcomp -register -r CalcSDK.rdb -c /usr/lib/ure/share/misc/connector.uno.so
#/usr/lib/ure/bin/regcomp -register -r CalcSDK.rdb -c /usr/lib/ure/share/misc/remotebridge.uno.so
#/usr/lib/ure/bin/regcomp -register -r CalcSDK.rdb -c /usr/lib/ure/share/misc/bridgefac.uno.so
#/usr/lib/ure/bin/regcomp -register -r CalcSDK.rdb -c /usr/lib/ure/share/misc/uuresolver.uno.so

####################################
#ファイル名設定
SRCFILE='CalcCom.cpp CalcGet.cpp CalcOle.cpp CalcSDK.cpp ClipWrite.cpp ExString.cpp MakeHtml.cpp MakeMail.cpp MakeWiki.cpp MsgDisp.cpp FileIo.cpp ThreadCntl.cpp VersionGet.cpp GtkMain.cpp WinMain.cpp'
OBJFILE='CalcCom.o CalcGet.o CalcOle.o CalcSDK.o ClipWrite.o ExString.o MakeHtml.o MakeMail.o MakeWiki.o MsgDisp.o FileIo.o ThreadCntl.o VersionGet.o GtkMain.o WinMain.o'
WRFILE='WrapMain.cpp FileIo.cpp VersionGet.cpp CalcCom.cpp ExString.cpp'

####################################
#日本語版コンパイル
g++ $SRCFILE -c -D _TROUBLE_EVASION -D _JPN -D _SDK -D $LOVERSION -D _LINUX_PLAT -D _UNICODE_TABLE -I . -I $SDKPATH/include -DUNX -DGCC -DLINUX -DCPPU_ENV=gcc3 `pkg-config gtk+-2.0 --cflags`
g++ -o CMd -L$SDKPATH/lib $OBJFILE -luno_cppuhelpergcc3 -luno_cppu -luno_salhelpergcc3 -luno_sal `pkg-config gtk+-2.0 --libs`
rm *.o

####################################
#英語版コンパイル
g++ $SRCFILE -c -D _TROUBLE_EVASION -D _ENG -D _SDK -D $LOVERSION -D _LINUX_PLAT -D _UNICODE_TABLE -I . -I $SDKPATH/include -DUNX -DGCC -DLINUX -DCPPU_ENV=gcc3 `pkg-config gtk+-2.0 --cflags`
g++ -o CMed -L$SDKPATH/lib $OBJFILE -luno_cppuhelpergcc3 -luno_cppu -luno_salhelpergcc3 -luno_sal `pkg-config gtk+-2.0 --libs`
rm *.o

####################################
#Wiki版コンパイル
g++ $SRCFILE -c -D _TROUBLE_EVASION -D _WIKI -D _SDK -D $LOVERSION -D _LINUX_PLAT -D _UNICODE_TABLE -I . -I $SDKPATH/include -DUNX -DGCC -DLINUX -DCPPU_ENV=gcc3 `pkg-config gtk+-2.0 --cflags`
g++ -o CWd -L$SDKPATH/lib $OBJFILE -luno_cppuhelpergcc3 -luno_cppu -luno_salhelpergcc3 -luno_sal `pkg-config gtk+-2.0 --libs`
rm *.o

####################################
#Html版コンパイル
g++ $SRCFILE -c -D _TROUBLE_EVASION -D _HTML -D _SDK -D $LOVERSION -D _LINUX_PLAT -D _UNICODE_TABLE -I . -I $SDKPATH/include -DUNX -DGCC -DLINUX -DCPPU_ENV=gcc3 `pkg-config gtk+-2.0 --cflags`
g++ -o CHd -L$SDKPATH/lib $OBJFILE -luno_cppuhelpergcc3 -luno_cppu -luno_salhelpergcc3 -luno_sal `pkg-config gtk+-2.0 --libs`
rm *.o

####################################
#ラッパーコンパイル
g++ -o CtoMail $WRFILE -D _JPN -D _SDK -D $LOVERSION -D _LINUX_PLAT -D _UNICODE_TABLE -I .

g++ -o CtoMail_e $WRFILE -D _ENG -D _SDK -D $LOVERSION -D _LINUX_PLAT -D _UNICODE_TABLE -I .

g++ -o CtoWiki $WRFILE -D _WIKI -D _WRAP -D _SDK -D $LOVERSION -D _LINUX_PLAT -D _UNICODE_TABLE -I .

g++ -o CtoHtml $WRFILE -D _HTML -D _WRAP -D _SDK -D $LOVERSION -D _LINUX_PLAT -D _UNICODE_TABLE -I .

####################################
#Yalp起動ソフトコンパイル
g++ ../HelpLinux/help.cpp -D MAIL -o helpmail
g++ ../HelpLinux/help.cpp -D WEB -o helpweb

####################################
#EnvTestコンパイル
g++ TestMain.cpp VersionGet.cpp FileIo.cpp CalcCom.cpp ExString.cpp -c -D _DUMP -D _JPN -D _SDK -D $LOVERSION -D _LINUX_PLAT -D _UNICODE_TABLE -I . -I $SDKPATH/include -DUNX -DGCC -DLINUX -DCPPU_ENV=gcc3 `pkg-config gtk+-2.0 --cflags`
g++ -o EnvTest -L$SDKPATH/lib  TestMain.o VersionGet.o FileIo.o CalcCom.o ExString.o `pkg-config gtk+-2.0 --libs`
rm *.o

####################################

