//*****************************************************************************
//* Copyright (c) 2011-2012 Miday Workshop All rights reserved.
//*
//* File: WinCntl.cpp
//*****************************************************************************

#include <windows.h>
#include "resource.h"
#include "CalcDef.h"
#include "MsgLocale.h"

#define PATH_SIZE       1024

//^Cg
#ifdef _UNICODE_TABLE
#ifdef _MAIL
#define WIND_TITLE  L"CtoMail pXݒc["
#define CHK_TITLE1  L"{"
#define CHK_TITLE2  L"p"
#define CHK_FILE1   L"CtoMail.exe"
#define CHK_FILE2   L"CtoMail_e.exe"
#else
#define WIND_TITLE  L"CtoWeb pXݒc["
#define CHK_TITLE1  L"Wiki"
#define CHK_TITLE2  L"Html"
#define CHK_FILE1   L"CtoWiki.exe"
#define CHK_FILE2   L"CtoHtml.exe"
#endif
#else
#ifdef _MAIL
#define WIND_TITLE  "CtoMail pXݒc["
#define CHK_TITLE1  "{"
#define CHK_TITLE2  "p"
#define CHK_FILE1   "CtoMail.exe"
#define CHK_FILE2   "CtoMail_e.exe"
#else
#define WIND_TITLE  "CtoWeb pXݒc["
#define CHK_TITLE1  "Wiki"
#define CHK_TITLE2  "Html"
#define CHK_FILE1   "CtoWiki.exe"
#define CHK_FILE2   "CtoHtml.exe"
#endif
#endif

#ifdef _MAIL
#define APP_NAME  "CtoMail pXݒc["
#else
#define APP_NAME  "CtoWeb pXݒc["
#endif

extern UNICHAR SofficeBin[500];//VersionGet.cpp Œ`

//UNICHAR AppPath[1024];    //AvP[VpX

extern int GetReg(UNICHAR *pathexe, UNICHAR *pathdll, UNICHAR *exename, int size);
extern int AddReg(UNICHAR *pathexe, UNICHAR *pathdll, UNICHAR *exename);
extern int SetReg(UNICHAR *pathexe, UNICHAR *pathdll, UNICHAR *exename);
extern int DelReg(UNICHAR *exename);

extern UNICHAR SofficePath[FILENAME_SIZE], SofficeRdbPath[FILENAME_SIZE], SofficeVersion[100], SofficeCommand[1000];
UNICHAR ExeFilePath1[2000], ExeFilePath2[2000], PathExe1[2000], PathExe2[2000], PathDll1[2000], PathDll2[2000];

int Chk1m, Chk2m, Chk1, Chk2;

//dummy
int MessageDisp(int) {
	return 0;
}

//==============================================================================
//  t@C邩`FbN
//==============================================================================
int FileCheck(UNICHAR *filename) {
//߂l@=0 Ȃ@=1 
	int ib;
#ifdef _UNICODE_TABLE
	WIN32_FIND_DATAW FindFileData;
#else
	WIN32_FIND_DATA FindFileData;
#endif
	HANDLE hndl;

#ifdef _UNICODE_TABLE
	hndl = FindFirstFileW(filename, &FindFileData);
#else
	hndl = FindFirstFileA(filename, &FindFileData);
#endif
//	hndl = FindFirstFileEx( filename, FindExInfoStandard, &FindFileData, FindExSearchNameMatch, NULL, 0 );
	if ( hndl != INVALID_HANDLE_VALUE ) {
		ib = 1;
	} else {
		ib = 0;
	}
	FindClose(hndl);

	return ib;
}

//==============================================================================
//pX܂܂Ă邩`FbN
//==============================================================================
int PathChk(UNICHAR *path) {
	int ix, iy;
	iy = -1;

	for(ix=0; ix<=(int)(MTRLEN(path)-MTRLEN(SofficeBin)); ix++) {
		if ( MTRNCMP(&path[ix], SofficeBin, MTRLEN(SofficeBin)) == 0 ) {
			if ( ix != MTRLEN(path)-MTRLEN(SofficeBin) ) {
#ifdef _UNICODE_TABLE
				if ( MTRNCMP(&path[ix+MTRLEN(SofficeBin)], L";", 1) != 0 ) continue;
#else
				if ( MTRNCMP(&path[ix+MTRLEN(SofficeBin)], ";", 1) != 0 ) continue;
#endif
			}
			if ( ix != 0 ) {
#ifdef _UNICODE_TABLE
				if ( MTRNCMP(&path[ix-1], L";", 1) != 0 ) continue;
#else
				if ( MTRNCMP(&path[ix-1], ";", 1) != 0 ) continue;
#endif
			}
			iy = ix;
			break;
		}
	}
	return iy;
}

//==============================================================================
//Ŕr
//==============================================================================
bool LowerCmp(const UNICHAR *data1, const UNICHAR *data2) {
//data1@r镶
//data2@r镶
//߂l@TRUE  vĂ
//@@@@FALSE vĂȂ
	unsigned int ia;
	for(ia=0; ia<MTRLEN(data1); ia++ ) {
		if ( tolower(data1[ia]) != tolower(data2[ia]) ) {
			return FALSE;
			break;
		}
	}
	return TRUE;
}

//==============================================================================
//R[obN֐
//==============================================================================
LRESULT CALLBACK DlgProc(HWND hWnd,UINT message, WPARAM wParam, LPARAM IParam){
	int ix, ix1, ix2;

	switch (message){
	case WM_INITDIALOG:
		ix = Soffice_Path_get();
		if ( ix < 0 ) {
#ifdef _UNICODE_TABLE
			SetWindowTextW(GetDlgItem(hWnd, IDC_STATICS), L"Calc܂");
#else
			SetWindowTextA(GetDlgItem(hWnd, IDC_STATICS), "Calc܂");
#endif
			EnableWindow(GetDlgItem(hWnd, IDC_BUTTON1), FALSE);
			EnableWindow(GetDlgItem(hWnd, IDC_BUTTON2), FALSE);
			break;
		}
#ifdef _UNICODE_TABLE
		SetWindowTextW(GetDlgItem(hWnd, IDC_STATICV), SofficeVersion);
		SetWindowTextW(GetDlgItem(hWnd, IDC_STATICP), SofficeBin);
		MTRCAT(SofficeBin, sizeof(SofficeBin), L";");

		SetWindowTextW(hWnd, WIND_TITLE);
		SetWindowTextW(GetDlgItem(hWnd, IDC_CHECK1), CHK_TITLE1);
		SetWindowTextW(GetDlgItem(hWnd, IDC_CHECK2), CHK_TITLE2);
#else
		SetWindowTextA(GetDlgItem(hWnd, IDC_STATICV), SofficeVersion);
		SetWindowTextA(GetDlgItem(hWnd, IDC_STATICP), SofficeBin);
		MTRCAT(SofficeBin, sizeof(SofficeBin), ";");

		SetWindowTextA(hWnd, WIND_TITLE);
		SetWindowTextA(GetDlgItem(hWnd, IDC_CHECK1), CHK_TITLE1);
		SetWindowTextA(GetDlgItem(hWnd, IDC_CHECK2), CHK_TITLE2);
#endif

		//ϐɐݒ肳Ăꍇ́AłȂ悤ɂ
#ifdef _UNICODE_TABLE
		GetEnvironmentVariableW(L"Path", PathDll1, sizeof(PathDll1));
#else
		GetEnvironmentVariableA("Path", PathDll1, sizeof(PathDll1));
#endif
		if ( PathChk(PathDll1) != -1 ) {
#ifdef _UNICODE_TABLE
			SetWindowTextW(GetDlgItem(hWnd, IDC_STATICS), L"pX͊ϐɐݒ肳Ă܂B");
#else
			SetWindowTextA(GetDlgItem(hWnd, IDC_STATICS), "pX͊ϐɐݒ肳Ă܂B");
#endif
			EnableWindow(GetDlgItem(hWnd, IDC_BUTTON1), FALSE);
			EnableWindow(GetDlgItem(hWnd, IDC_BUTTON2), FALSE);
			break;
		}

#ifdef _UNICODE_TABLE
		PathDll1[0] = L'\0';
		GetModuleFileNameW(NULL, &ExeFilePath1[1], sizeof(ExeFilePath1)-2 );
		ExeFilePath1[0] = L'\"';
		for(ix=MTRLEN(ExeFilePath1); ix>0; ix--) {
			if( ExeFilePath1[ix] == L'\\' ) {
				ExeFilePath1[ix+1] = L'\0';
				break;
			}
		}
#else
		PathDll1[0] = '\0';
		GetModuleFileNameA(NULL, &ExeFilePath1[1], sizeof(ExeFilePath1)-2 );
		ExeFilePath1[0] = '\"';
		for(ix=MTRLEN(ExeFilePath1); ix>0; ix--) {
			if( ExeFilePath1[ix] == '\\' ) {
				ExeFilePath1[ix+1] = '\0';
				break;
			}
		}
#endif
		MTRCPY(ExeFilePath2, sizeof(ExeFilePath2), ExeFilePath1);
		MTRCAT(ExeFilePath1, sizeof(ExeFilePath1), CHK_FILE1);
		MTRCAT(ExeFilePath2, sizeof(ExeFilePath2), CHK_FILE2);
		if ( FileCheck(&ExeFilePath1[1]) != 1 || FileCheck(&ExeFilePath2[1]) != 1 ) {
			MessageBoxA(hWnd, "st@CtH_[ɂ܂B", APP_NAME, MB_ICONSTOP | MB_OK);
			EnableWindow(GetDlgItem(hWnd, IDC_BUTTON1), FALSE);
			EnableWindow(GetDlgItem(hWnd, IDC_BUTTON2), FALSE);
			break;
		}
#ifdef _UNICODE_TABLE
		MTRCAT(ExeFilePath2, sizeof(ExeFilePath2), L"\"");
		MTRCAT(ExeFilePath1, sizeof(ExeFilePath1), L"\"");
#else
		MTRCAT(ExeFilePath2, sizeof(ExeFilePath2), "\"");
		MTRCAT(ExeFilePath1, sizeof(ExeFilePath1), "\"");
#endif

		Chk1m = GetReg(PathExe1, PathDll1, CHK_FILE1, sizeof(PathExe1)-1);
		Chk2m = GetReg(PathExe2, PathDll2, CHK_FILE2, sizeof(PathExe2)-1);
		if ( Chk1m == 1 && LowerCmp(PathDll1, SofficeBin) == TRUE && LowerCmp(PathExe1, ExeFilePath1) == TRUE ) {
			Chk1m = 2;
		}
		if ( Chk2m == 1 && LowerCmp(PathDll2, SofficeBin) == TRUE && LowerCmp(PathExe2, ExeFilePath2) == TRUE ) {
			Chk2m = 2;
		}

		if ( Chk1m == 0 && Chk2m == 0 ) {
#ifdef _UNICODE_TABLE
			SetWindowTextW(GetDlgItem(hWnd, IDC_STATICS), L"pX͓o^Ă܂");
#else
			SetWindowTextA(GetDlgItem(hWnd, IDC_STATICS), "pX͓o^Ă܂");
#endif
			EnableWindow(GetDlgItem(hWnd, IDC_BUTTON1), TRUE);
			EnableWindow(GetDlgItem(hWnd, IDC_BUTTON2), FALSE);
		} else if ( Chk1m == 1 || Chk2m == 1 ) {
#ifdef _UNICODE_TABLE
			SetWindowTextW(GetDlgItem(hWnd, IDC_STATICS), L"pX͕ύXĂ܂BuύXv{^ĉB");
#else
			SetWindowTextA(GetDlgItem(hWnd, IDC_STATICS), "pX͕ύXĂ܂BuύXv{^ĉB");
#endif
			EnableWindow(GetDlgItem(hWnd, IDC_BUTTON1), FALSE);
			EnableWindow(GetDlgItem(hWnd, IDC_BUTTON2), TRUE);
		} else {
#ifdef _UNICODE_TABLE
			SetWindowTextW(GetDlgItem(hWnd, IDC_STATICS), L"pX͓o^Ă܂");
#else
			SetWindowTextA(GetDlgItem(hWnd, IDC_STATICS), "pX͓o^Ă܂");
#endif
			EnableWindow(GetDlgItem(hWnd, IDC_BUTTON1), FALSE);
			EnableWindow(GetDlgItem(hWnd, IDC_BUTTON2), TRUE);
		}
		if ( Chk1m != 0 ) {
			SendMessage(GetDlgItem(hWnd, IDC_CHECK1), BM_SETCHECK, BST_CHECKED, 0);
		} else {
			SendMessage(GetDlgItem(hWnd, IDC_CHECK1), BM_SETCHECK, BST_UNCHECKED, 0);
		}
		if ( Chk2m != 0 ) {
			SendMessage(GetDlgItem(hWnd, IDC_CHECK2), BM_SETCHECK, BST_CHECKED, 0);
		} else {
			SendMessage(GetDlgItem(hWnd, IDC_CHECK2), BM_SETCHECK, BST_UNCHECKED, 0);
		}
		break;
	case WM_COMMAND:
		switch (LOWORD(wParam)){
		case IDC_BUTTON1://o^
			Chk1 = SendMessage(GetDlgItem(hWnd, IDC_CHECK1), BM_GETCHECK, 0, 0);
			Chk2 = SendMessage(GetDlgItem(hWnd, IDC_CHECK2), BM_GETCHECK, 0, 0);
			if ( Chk1 == 0 && Chk2 == 0 ) {
				MessageBoxA(hWnd, "o^vOɃ`FbNtĉB", APP_NAME, MB_ICONSTOP | MB_OK);
				break;
			}

			if ( MessageBoxA(hWnd, "pX̐ݒo^Ă낵łH", APP_NAME, MB_ICONQUESTION | MB_YESNO) == IDNO) {
				break;
			}

			if ( Chk1 == 1 ) AddReg(ExeFilePath1, SofficeBin, CHK_FILE1);
			if ( Chk2 == 1 ) AddReg(ExeFilePath2, SofficeBin, CHK_FILE2);

			//ix1=0o^ĂȂ@=1ႤpXo^@=2pXo^
			ix1 = 0;
			ix2 = 0;
			if ( Chk1 == 1 ) {
				PathExe1[0] = L'\0';
				PathDll1[0] = L'\0';
				ix1 = GetReg(PathExe1, PathDll1, CHK_FILE1, sizeof(PathExe1)-1);
				if ( ix1 == 1 && LowerCmp(PathDll1, SofficeBin) && LowerCmp(PathExe1, ExeFilePath1) ) {
					ix1 = 2;
				}
			}
			if ( Chk2 == 1 ) {
				PathExe2[0] = L'\0';
				PathDll2[0] = L'\0';
				ix2 = GetReg(PathExe2, PathDll2, CHK_FILE2, sizeof(PathExe2)-1);
				if ( ix2 == 1 && LowerCmp(PathDll2, SofficeBin) && LowerCmp(PathExe2, ExeFilePath2) ) {
					ix2 = 2;
				}
			}

			ix = 0;
			if ( Chk1 == 1 && ix1 != 2 ) {
				ix = 1;
			}
			if ( Chk2 == 1 && ix2 != 2 ) {
				ix = 1;
			}
			if ( ix == 0 ) {
#ifdef _UNICODE_TABLE
				SetWindowTextW(GetDlgItem(hWnd, IDC_STATICS), L"pX͓o^܂");
#else
				SetWindowTextA(GetDlgItem(hWnd, IDC_STATICS), "pX͓o^܂");
#endif
				EnableWindow(GetDlgItem(hWnd, IDC_BUTTON1), FALSE);
				EnableWindow(GetDlgItem(hWnd, IDC_BUTTON2), TRUE);
			} else {
#ifdef _UNICODE_TABLE
				SetWindowTextW(GetDlgItem(hWnd, IDC_STATICS), L"pXo^o܂łB");
#else
				SetWindowTextA(GetDlgItem(hWnd, IDC_STATICS), "pXo^o܂łB");
#endif
				EnableWindow(GetDlgItem(hWnd, IDC_BUTTON1), FALSE);
				EnableWindow(GetDlgItem(hWnd, IDC_BUTTON2), FALSE);
			}

			Chk1m = Chk1;
			Chk2m = Chk2;
			MessageBoxA(hWnd, "o^ƂI܂B", APP_NAME, MB_ICONINFORMATION | MB_OK);
			break;
		case IDC_BUTTON2://ύX
			Chk1 = SendMessage(GetDlgItem(hWnd, IDC_CHECK1), BM_GETCHECK, 0, 0);
			Chk2 = SendMessage(GetDlgItem(hWnd, IDC_CHECK2), BM_GETCHECK, 0, 0);
			if ( Chk1m != 1 && Chk2m != 1 ) {
				if ( (Chk1 == Chk1m || Chk1*2 == Chk1m) && (Chk2 == Chk2m || Chk2*2 == Chk2m) ) {
					MessageBoxA(hWnd, "o^ύXvÕ`FbNςĉB", APP_NAME, MB_ICONSTOP | MB_OK);
					break;
				}
			}

			if ( MessageBoxA(hWnd, "pX̐ݒύXĂ낵łH", APP_NAME, MB_ICONQUESTION | MB_YESNO) == IDNO) {
				break;
			}

			if ( Chk1 == 1 ) {
				if ( Chk1m == 0 ) {
					AddReg(ExeFilePath1, SofficeBin, CHK_FILE1);
				} else if ( Chk1m == 1 ) {
					SetReg(ExeFilePath1, SofficeBin, CHK_FILE1);
				}
			} else {
				if ( Chk1m != 0 ) DelReg(CHK_FILE1);
			}
			if ( Chk2 == 1 ) {
				if ( Chk2m == 0 ) {
					AddReg(ExeFilePath2, SofficeBin, CHK_FILE2);
				} else if ( Chk2m == 1 ) {
					SetReg(ExeFilePath2, SofficeBin, CHK_FILE2);
				}
			} else {
				if ( Chk2m != 0 ) DelReg(CHK_FILE2);
			}

			//ix1=0o^ĂȂ@=1ႤpXo^@=2pXo^
			ix1 = 0;
			ix2 = 0;
			if ( Chk1 == 1 ) {
				PathExe1[0] = L'\0';
				PathDll1[0] = L'\0';
				ix1 = GetReg(PathExe1, PathDll1, CHK_FILE1, sizeof(PathExe1)-1);
				if ( ix1 == 1 && LowerCmp(PathDll1, SofficeBin) && LowerCmp(PathExe1, ExeFilePath1) ) {
					ix1 = 2;
				}
			}
			if ( Chk2 == 1 ) {
				PathExe2[0] = L'\0';
				PathDll2[0] = L'\0';
				ix2 = GetReg(PathExe2, PathDll2, CHK_FILE2, sizeof(PathExe2)-1);
				if ( ix2 == 1 && LowerCmp(PathDll2, SofficeBin) && LowerCmp(PathExe2, ExeFilePath2) ) {
					ix2 = 2;
				}
			}

			ix = 0;
			if ( Chk1 != Chk1m ) {
				if ( Chk1 == 1 ) {
					if ( ix1 != 2 ) {
						ix = 1;
					}
				} else {
					if ( ix1 != 0 ) {
						ix = 1;
					}
				}
			}
			if ( Chk2 != Chk2m ) {
				if ( Chk2 == 1 ) {
					if ( ix2 != 2 ) {
						ix = 1;
					}
				} else {
					if ( ix2 != 0 ) {
						ix = 1;
					}
				}
			}

			if ( ix == 0 ) {
#ifdef _UNICODE_TABLE
				SetWindowTextW(GetDlgItem(hWnd, IDC_STATICS), L"pX͕ύX܂");
#else
				SetWindowTextA(GetDlgItem(hWnd, IDC_STATICS), "pX͕ύX܂");
#endif
				if ( Chk1 == 0 && Chk2 == 0 ) {
					EnableWindow(GetDlgItem(hWnd, IDC_BUTTON1), TRUE);
					EnableWindow(GetDlgItem(hWnd, IDC_BUTTON2), FALSE);
				} else {
					EnableWindow(GetDlgItem(hWnd, IDC_BUTTON1), FALSE);
					EnableWindow(GetDlgItem(hWnd, IDC_BUTTON2), TRUE);
				}
			} else {
#ifdef _UNICODE_TABLE
				SetWindowTextW(GetDlgItem(hWnd, IDC_STATICS), L"pXύXo܂łB");
#else
				SetWindowTextA(GetDlgItem(hWnd, IDC_STATICS), "pXύXo܂łB");
#endif
				EnableWindow(GetDlgItem(hWnd, IDC_BUTTON1), FALSE);
				EnableWindow(GetDlgItem(hWnd, IDC_BUTTON2), FALSE);
			}

			Chk1m = Chk1;
			Chk2m = Chk2;
			MessageBoxA(hWnd, "ύXƂI܂B", APP_NAME, MB_ICONINFORMATION | MB_OK);
			break;
		case IDC_BUTTON3://I
			PostMessage(hWnd, WM_CLOSE, NULL, NULL);
			break;
		}
		break;
	case WM_CLOSE:
		EndDialog(hWnd,WM_CLOSE);
		break;
	}
	return FALSE;
}

//==============================================================================
//C֐
//==============================================================================
int PASCAL wWinMain(HINSTANCE hInstance, HINSTANCE hPreInstance,
					LPSTR lpCmdLine, int nCmdShow) {

	SofficePath[0]    = LIT_NULL_C;
	SofficeRdbPath[0] = LIT_NULL_C;

	DialogBox(hInstance, MAKEINTRESOURCE(IDD_DIALOG1), NULL, (DLGPROC)DlgProc);
	return 0;
}
